Skip to main content
GET
List vendor refund payments

Authorizations

Authorization
string
header
required

Business-scoped JWT token. Token payload includes business_id to automatically scope requests. Format: Bearer <your-jwt-token>

Use this for: Business-specific operations where the business context is embedded in the token.

Path Parameters

business_id
string<uuid>
required

Business UUID

Query Parameters

page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

payment_date_end
string<date>

Filter payments to this date (YYYY-MM-DD)

payment_date_start
string<date>

Filter payments from this date (YYYY-MM-DD)

payment_method
string

Filter by payment method

refund_id
string<uuid>

Filter by vendor refund UUID

Search by payment reference

status
string

Filter by payment status

Response

count
integer
required

Total number of items

Example:

123

page_info
object
required
Example:
results
object[]
required